<?php
/**
 * @version $Id: prepend.inc.php 320 2008-03-03 14:17:35Z hodaka $
 * @author  Takeshi Kuriyama <kuri@keynext.co.jp>
 * @copyright Copyrighted(c) 2007 by Takeshi Kuriyama <kuri@keynext.co.jp>
 */

if( ! defined( 'XOOPS_TRUST_PATH' ) ) die( 'set XOOPS_TRUST_PATH into mainfile.php' );

// 各種設定変数の設定
$mytrustdirpath = dirname( dirname( __FILE__ ));
$mytrustdirname = basename( $mytrustdirpath );
$mydirname4show = htmlspecialchars($mydirname, ENT_QUOTES);
$mydirpath4show = htmlspecialchars(XOOPS_ROOT_PATH.'/modules/'.$mydirname, ENT_QUOTES);
$mytrustdirname4show = htmlspecialchars($mytrustdirname, ENT_QUOTES);
$mytrustdirpath4show = htmlspecialchars($mytrustdirpath, ENT_QUOTES);

// クラスがないので、mydirnameのクラスを宣言する（グローバルクラス設定を読み込み）
if(!class_exists($mydirname)) {
    require $mytrustdirpath.'/class/global.class.php';
}

//d3blog関連関数の設定
require $mytrustdirpath.'/include/functions.php';
// 定数関連の実施
require $mytrustdirpath.'/include/config.inc.php';

// GET MODULE INFORMATION
// myModule = mydirname -> getInstance関数の実施
// これで$myModule=mydirnameクラスになるのね。
$myModule = call_user_func(array($mydirname, 'getInstance'));

// CURRENT USER'S INFO
// myXoopsUserObjectクラスの初期設定
require $mytrustdirpath.'/lib/user.php';
if(!isset($GLOBALS['currentUser'])) {
    global $xoopsUser;
    $GLOBALS['currentUser'] = new myXoopsUserObject($xoopsUser);
    $GLOBALS['currentUser']->_groups_ = $GLOBALS['currentUser']->getGroups();
}

// USER'S PRIVILEGES ON THIS MODULE
if(!isset($GLOBALS['currentUser']->_userPerm[$myModule->module_id])) {
    $GLOBALS['currentUser']->_userPerm[$myModule->module_id] = new myXoopsUserPermission($GLOBALS['currentUser'], $myModule);
}

?>